      program Este programa divide solo restando
c     Problema 3 POR 2s-2011
      implicit none  !esta int desactiva la declaracion implicita
      integer a,b,i,resto
      write(*,*) 'Ingrese el numero a dividir'
      read(*,*) a
      write(*,*) 'Ingrese el numero divisor '
      read(*,*) b
      resto=a-b
      i=1
      do while (resto>=b) 
          i=i+1
          resto=resto-b     
      end do    
      write(*,*) 'la dvisión tiene un valor de ', i
      write(*,*) 'Con un resto ', resto
      end program